Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.core.qms
Enum RequestType

    java.lang.Object
      java.lang.Enum<RequestType>
          lbg.peer.core.qms.RequestType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestType>

    public enum RequestType

extends java.lang.Enum<RequestType>

Author:
  Cyril Briquet

Enum Constant Summary
`CONSUMPTION_TASK`
`LOCAL_TASK`
`SUPPLYING_TASK`

Method Summary
`static RequestType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL_TASK

    public static final RequestType LOCAL_TASK

### CONSUMPTION_TASK

    public static final RequestType CONSUMPTION_TASK

### SUPPLYING_TASK

    public static final RequestType SUPPLYING_TASK

Method Detail

### values

    public static final RequestType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RequestType c : RequestType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RequestType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.